질문을 삭제하지 말아주세요.!
 
1
0
-1

php7+nginx 에서 라라벨을 설치하고 있습니다. 


composer create-project  --prefer-dist laravel/laravel laravel 이라고 프로젝트를 생성하면


캡처한 것처럼


To enable extension, verfiy 로 시작하는 문구가 발생합니다.


그리고  생성한 프로젝트로 이동을 해서 php artisan을 입력할 경우 


캡처내용 하단과 같이 php fatal error: require(): failed opening require 'home/계정/laravel/bootstrap/../vendor/autoload.php'와 같은 에러가 발생합니다.


그래서 인터넷에 위에 내용을 검색해서 

sudo apt-get install zip unzip php7.0-zip 와 같이 설치를 해보는 여러 방법을 시도해도


저에러가 계속 발생하더라구요 



php artisan이 인식안되는 이유가 무엇일까요?


    CommentAdd your comment...

    1 answer

    1.  
      1
      0
      -1

      1. composer update

      2. .env 파일 내용 체크

      3. storage/* , bootstrap/cache 폴더 권한 체크


      요거 확인해보셨나요~~?


      1. 이태희

        네 체크해보았구요 

        라라벨과는 별개로 우분투에 파일이 설치가 안되어있더군요.


        sudo apt-get install php-xml 설치하니까 해결되었습니다.

      CommentAdd your comment...